using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;

namespace WindowsApplication1
{
	/// <summary>
	/// Summary description for Dialog.
	/// </summary>
	public class Dialog : System.Windows.Forms.Form
	{
		const int VC_InitSystem = 0;
		const int VC_DisplayVideo= 1;
		const int VC_Freeze =  2;
		const int VC_NoVideoDisplay= 3;
		const int VC_LiveCapture =4;
		const int VC_SetFlashIrisLevel= 5;
		const int VC_FastCapture=200;
		const int VC_SendWindowHandle = 6;
		const int VC_FlashCapture =7;

		const int VC_TiltUp = 8;
		const int VC_TiltUpSlow = 218;
		const int VC_TiltUpFast = 224;

		const int VC_TiltDown= 9;
		const int VC_TiltDownSlow= 219;
		const int VC_TiltDownFast= 225;


		const int VC_PanLeft= 10;
		const int VC_PanLeftSlow= 220;
		const int VC_PanLeftFast= 226;		
		
		
		const int VC_PanRight =11;
		const int VC_PanRightSlow =221;
		const int VC_PanRightFast =227;
		
		const int VC_ZoomIn= 13;
		const int VC_ZoomInSlow= 222;
		const int VC_ZoomInFast= 228;

		
		const int VC_ZoomOut =14;
		const int VC_ZoomOutSlow =223;
		const int VC_ZoomOutFast =229;

		const int VC_PanTiltStop =12;
		const int VC_ZoomStop =15;

		const int VC_SaveIniFile = 17;
		const int VC_CloseCard = 20;

		const int VC_LiveIrisUp= 42;
		const int VC_LiveIrisDown =43;



		const int VC_ReturnLiveRed= 31;
		const int VC_ReturnLiveBlue =32;
		const int VC_ReturnLiveColor= 33;
		const int VC_ReturnFlashRed =34;
		const int VC_ReturnFlashBlue =35;
		const int VC_ReturnFlashColor= 36;
		const int VC_ReturnFlashIris= 39;
		const int  VC_ReturnCaptureSharpness = 130;
		const int  VC_ReturnFrameGrabberSharpness= 131;
		const int  VC_ReturnCroppingWidth = 152;
		const int  VC_ReturnCroppingHeight= 153;

		const int VC_SetRedLive= 110;
		const int VC_SetBlueLive= 111;
		const int VC_SetColorLive= 112;
		const int VC_SetRedFlash =113;
		const int VC_SetBlueFlash= 114;
		const int VC_SetColorFlash =115;
		const int VC_SetFrameGrabberSharpness= 120;
		//const int VC_SetPreviewCropping = 150;

		const int VC_SetPreviewDefaults = 27;
		const int VC_SetFlashDefaults = 28;

		const int VC_SetCropStart=156;

		const int VC_ReadZoomPosition=300;
		const int VC_ReadPanPosition=301;
		const int VC_ReadTiltPosition=302;
		const int VC_SetZoomPosition=303;
		
		
		[DllImport("USB_SDK.Dll")]
		public static extern int VALCam_Control(int Msg,int Param1,int Param2,int Param3, int Param4);
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Dialog()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			// 
			// Dialog
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(504, 445);
			this.ControlBox = false;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "Dialog";
			this.Text = "Dialog";
			this.TopMost = true;
			this.Closing += new System.ComponentModel.CancelEventHandler(this.Dialog_Closing);
			this.Load += new System.EventHandler(this.Dialog_Load);

		}
		#endregion

		private void button1_Click(object sender, System.EventArgs e)
		{
			this.Close();

		}

		private void Dialog_Load(object sender, System.EventArgs e)
		{
			
			
		}

		private void Dialog_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			VALCam_Control(VC_NoVideoDisplay,0,0,0,0);
		}
	}
}
